diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/core/model/test.h ns-3.31/src/core/model/test.h
--- ns-3.30.1/src/core/model/test.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/core/model/test.h	2020-06-27 17:38:30.000000000 -0700
@@ -55,12 +55,10 @@
 
 namespace ns3 {
 
-  /** Namespace for test files, TestCases and TestSuites. */
-  namespace tests {
+/** Namespace for test files, TestCases and TestSuites. */
+namespace tests {} // namespace tests
 
-  }  // namespace tests
-                  
-// 
+//
 // Note on below macros:
 //
 // When multiple statements are used in a macro, they should be bound
@@ -74,13 +72,13 @@
  * \ingroup testing
  * \brief Check if we should assert on errors, and do so
  */
-#define ASSERT_ON_FAILURE                       \
-  do {                                          \
-    if (MustAssertOnFailure ())                 \
-      {                                         \
-        *(volatile int *)0 = 0;                 \
-      }                                         \
-  } while (false)
+#define ASSERT_ON_FAILURE                                               \
+  do {                                                                  \
+      if (MustAssertOnFailure ())                                       \
+        {                                                               \
+          *(volatile int *)0 = 0;                                       \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -88,11 +86,11 @@
  */
 #define CONTINUE_ON_FAILURE                                             \
   do {                                                                  \
-    if (!MustContinueOnFailure ())                                      \
-      {                                                                 \
-        return;                                                         \
-      }                                                                 \
-  } while (false)
+      if (!MustContinueOnFailure ())                                    \
+        {                                                               \
+          return;                                                       \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -100,11 +98,11 @@
  */
 #define CONTINUE_ON_FAILURE_RETURNS_BOOL                                \
   do {                                                                  \
-    if (!MustContinueOnFailure ())                                      \
-      {                                                                 \
-        return IsStatusFailure ();                                      \
-      }                                                                 \
-  } while (false)
+      if (!MustContinueOnFailure ())                                    \
+        {                                                               \
+          return IsStatusFailure ();                                    \
+        }                                                               \
+    } while (false)
 
 
 
@@ -119,22 +117,22 @@
  */
 #define NS_TEST_ASSERT_MSG_EQ_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) == (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) == " +    \
-                           std::string (#limit) + " (limit)",           \
-                           actualStream.str (), limitStream.str (),     \
-                           msgStream.str (), file, line);               \
-        CONTINUE_ON_FAILURE;                                            \
-      }                                                                 \
-  } while (false)
+      if (!((actual) == (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) == " +  \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+          CONTINUE_ON_FAILURE;                                          \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -151,12 +149,12 @@
  * The message is interpreted as a stream, for example:
  *
  * \code
- * NS_TEST_ASSERT_MSG_EQ (result, true, 
+ * NS_TEST_ASSERT_MSG_EQ (result, true,
  *      "cannot open file " << filename << " in test");
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the expected value of the test.
  * \param [in] msg Message that is output if the test does not pass.
@@ -175,22 +173,22 @@
  */
 #define NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL_INTERNAL(actual, limit, msg, file, line) \
   do {                                                                  \
-    if (!((actual) == (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) == " +    \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-        CONTINUE_ON_FAILURE_RETURNS_BOOL;                               \
-      }                                                                 \
-  } while (false)
+      if (!((actual) == (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) == " +  \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -207,12 +205,12 @@
  * The message is interpreted as a stream, for example:
  *
  * \code
- * NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL (result, true, 
+ * NS_TEST_ASSERT_MSG_EQ_RETURNS_BOOL (result, true,
  *      "cannot open file " << filename << " in test");
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the expected value of the test.
  * \param [in] msg Message that is output if the test does not pass.
@@ -231,27 +229,27 @@
  * \ingroup testingimpl
  * \brief Test that an actual and expected (limit) value are equal and
  * report if not.
- * 
+ *
  * Required to avoid use of return statement which allows use in
  * methods (esp. callbacks) returning void.
  */
 #define NS_TEST_EXPECT_MSG_EQ_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) == (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) == " +    \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-      }                                                                 \
-  } while (false)
+      if (!((actual) == (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) == " +  \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -268,12 +266,12 @@
  * The message is interpreted as a stream, for example:
  *
  * \code
- * NS_TEST_EXPECT_MSG_EQUAL (result, true, 
+ * NS_TEST_EXPECT_MSG_EQUAL (result, true,
  *      "cannot open file " << filename << " in test");
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the expected value of the test.
  * \param [in] msg Message that is output if the test does not pass.
@@ -286,7 +284,7 @@
   NS_TEST_EXPECT_MSG_EQ_INTERNAL (actual, limit, msg, __FILE__, __LINE__)
 
 // ===========================================================================
-// Test for equality with a provided tolerance (use for floating point 
+// Test for equality with a provided tolerance (use for floating point
 // comparisons -- both float and double)
 // ===========================================================================
 
@@ -297,26 +295,26 @@
  */
 #define NS_TEST_ASSERT_MSG_EQ_TOL_INTERNAL(actual, limit, tol, msg, file, line) \
   do {                                                                  \
-    if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))       \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit << " +- " << tol;                          \
-        std::ostringstream condStream;                                  \
-        condStream << #actual << " (actual) < " << #limit               \
-                   << " (limit) + " << #tol << " (tol) && "             \
-                   << #actual << " (actual) > " << #limit               \
-                   << " (limit) - " << #tol << " (tol)";                \
-        ReportTestFailure (condStream.str (), actualStream.str (),      \
-                       limitStream.str (), msgStream.str (),            \
-                       file, line);                                     \
-        CONTINUE_ON_FAILURE;                                            \
-      }                                                                 \
-  } while (false)
+      if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))     \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit << " +- " << tol;                        \
+          std::ostringstream condStream;                                \
+          condStream << #actual << " (actual) < " << #limit             \
+                     << " (limit) + " << #tol << " (tol) && "           \
+                     << #actual << " (actual) > " << #limit             \
+                     << " (limit) - " << #tol << " (tol)";              \
+          ReportTestFailure (condStream.str (), actualStream.str (),    \
+                             limitStream.str (), msgStream.str (),      \
+                             file, line);                               \
+          CONTINUE_ON_FAILURE;                                          \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -335,7 +333,7 @@
  * measure the rod to determine if its length is within the tolerances
  * you provided.  For example, 12.00 inches plus or minus .005 inch
  * may be just fine.
- * 
+ *
  * In ns-3, you might want to measure a signal to noise ratio and
  * check to see if the answer is what you expect.  If you naively
  * measure (double)1128.93 and compare this number with a constant
@@ -371,7 +369,7 @@
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the expected value of the test.
  * \param [in] tol Tolerance of the test.
@@ -387,26 +385,26 @@
  */
 #define NS_TEST_ASSERT_MSG_EQ_TOL_RETURNS_BOOL_INTERNAL(actual, limit, tol, msg, file, line) \
   do {                                                                  \
-    if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))       \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit << " +- " << tol;                          \
-        std::ostringstream condStream;                                  \
-        condStream << #actual << " (actual) < " << #limit               \
-                   << " (limit) + " << #tol << " (tol) && "             \
-                   << #actual << " (actual) > " << #limit               \
-                   << " (limit) - " << #tol << " (tol)";                \
-        ReportTestFailure (condStream.str (), actualStream.str (),      \
-                       limitStream.str (), msgStream.str (),            \
-                       file, line);                                     \
-        CONTINUE_ON_FAILURE_RETURNS_BOOL;                               \
-      }                                                                 \
-  } while (false)
+      if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))     \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit << " +- " << tol;                        \
+          std::ostringstream condStream;                                \
+          condStream << #actual << " (actual) < " << #limit             \
+                     << " (limit) + " << #tol << " (tol) && "           \
+                     << #actual << " (actual) > " << #limit             \
+                     << " (limit) - " << #tol << " (tol)";              \
+          ReportTestFailure (condStream.str (), actualStream.str (),    \
+                             limitStream.str (), msgStream.str (),      \
+                             file, line);                               \
+          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
+        }                                `                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -425,7 +423,7 @@
  * measure the rod to determine if its length is within the tolerances
  * you provided.  For example, 12.00 inches plus or minus .005 inch
  * may be just fine.
- * 
+ *
  * In ns-3, you might want to measure a signal to noise ratio and
  * check to see if the answer is what you expect.  If you naively
  * measure (double)1128.93 and compare this number with a constant
@@ -461,7 +459,7 @@
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the expected value of the test.
  * \param [in] tol Tolerance of the test.
@@ -477,31 +475,31 @@
  * \ingroup testingimpl
  * \brief Test that actual and expected (limit) values are equal to
  * plus or minus some tolerance and report if not.
- * 
+ *
  * Required to avoid use of return statement which allows use in
  * methods (esp. callbacks) returning void.
  */
 #define NS_TEST_EXPECT_MSG_EQ_TOL_INTERNAL(actual, limit, tol, msg, file, line) \
   do {                                                                  \
-    if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))       \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit << " +- " << tol;                          \
-        std::ostringstream condStream;                                  \
-        condStream << #actual << " (actual) < " << #limit               \
-                   << " (limit) + " << #tol << " (tol) && "             \
-                   << #actual << " (actual) > " << #limit               \
-                   << " (limit) - " << #tol << " (tol)";                \
-        ReportTestFailure (condStream.str (), actualStream.str (),      \
-                       limitStream.str (), msgStream.str (),            \
-                       file, line);                                     \
-      }                                                                 \
-  } while (false)
+      if ((actual) > (limit) + (tol) || (actual) < (limit) - (tol))     \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit << " +- " << tol;                        \
+          std::ostringstream condStream;                                \
+          condStream << #actual << " (actual) < " << #limit             \
+                     << " (limit) + " << #tol << " (tol) && "           \
+                     << #actual << " (actual) > " << #limit             \
+                     << " (limit) - " << #tol << " (tol)";              \
+          ReportTestFailure (condStream.str (), actualStream.str (),    \
+                             limitStream.str (), msgStream.str (),      \
+                             file, line);                               \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -520,7 +518,7 @@
  * measure the rod to determine if its length is within the tolerances
  * you provided.  For example, 12.00 inches plus or minus .005 inch
  * may be just fine.
- * 
+ *
  * In ns-3, you might want to measure a signal to noise ratio and
  * check to see if the answer is what you expect.  If you naively
  * measure (double)1128.93 and compare this number with a constant
@@ -556,7 +554,7 @@
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the expected value of the test.
  * \param [in] tol Tolerance of the test.
@@ -571,27 +569,27 @@
 
 /**
  * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are not equal and 
+ * \brief Test that an actual and expected (limit) value are not equal and
  * report and abort if not.
  */
 #define NS_TEST_ASSERT_MSG_NE_INTERNAL(actual, limit, msg, file, line)  \
   do {                                                                  \
-    if (!((actual) != (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) != " +    \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-        CONTINUE_ON_FAILURE;                                            \
-      }                                                                 \
-  } while (false)
+      if (!((actual) != (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) != " +  \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+          CONTINUE_ON_FAILURE;                                          \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -608,12 +606,12 @@
  * The message is interpreted as a stream, for example:
  *
  * \code
- * NS_TEST_ASSERT_MSG_NE (result, false, 
+ * NS_TEST_ASSERT_MSG_NE (result, false,
  *      "cannot open file " << filename << " in test");
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the value that actual is tested against.
  * \param [in] msg Message that is output if the test does not pass.
@@ -626,27 +624,27 @@
 
 /**
  * \ingroup testingimpl
- * \brief Test that an actual and expected (limit) value are not equal and 
+ * \brief Test that an actual and expected (limit) value are not equal and
  * report and abort if not.
  */
 #define NS_TEST_ASSERT_MSG_NE_RETURNS_BOOL_INTERNAL(actual, limit, msg, file, line) \
   do {                                                                  \
-    if (!((actual) != (limit)))                                         \
-      {                                                                 \
-        ASSERT_ON_FAILURE;                                              \
-        std::ostringstream msgStream;                                   \
-        msgStream << msg;                                               \
-        std::ostringstream actualStream;                                \
-        actualStream << actual;                                         \
-        std::ostringstream limitStream;                                 \
-        limitStream << limit;                                           \
-        ReportTestFailure (std::string (#actual) + " (actual) != " +    \
-                       std::string (#limit) + " (limit)",               \
-                       actualStream.str (), limitStream.str (),         \
-                       msgStream.str (), file, line);                   \
-        CONTINUE_ON_FAILURE_RETURNS_BOOL;                               \
-      }                                                                 \
-  } while (false)
+      if (!((actual) != (limit)))                                       \
+        {                                                               \
+          ASSERT_ON_FAILURE;                                            \
+          std::ostringstream msgStream;                                 \
+          msgStream << msg;                                             \
+          std::ostringstream actualStream;                              \
+          actualStream << actual;                                       \
+          std::ostringstream limitStream;                               \
+          limitStream << limit;                                         \
+          ReportTestFailure (std::string (#actual) + " (actual) != " +  \
+                             std::string (#limit) + " (limit)",         \
+                             actualStream.str (), limitStream.str (),   \
+                             msgStream.str (), file, line);             \
+          CONTINUE_ON_FAILURE_RETURNS_BOOL;                             \
+        }                                                               \
+    } while (false)
 
 /**
  * \ingroup testing
@@ -663,12 +661,12 @@
  * The message is interpreted as a stream, for example:
  *
  * \code
- * NS_TEST_ASSERT_MSG_NE_RETURNS_BOOL (result, false, 
+ * NS_TEST_ASSERT_MSG_NE_RETURNS_BOOL (result, false,
  *      "cannot open file " << filename << " in test");
  * \endcode
  *
  * is legal.
- * 
+ *
  * \param [in] actual Expression for the actual value found during the test.
  * \param [in] limit Expression for the expected value of the test.
  * \param [in] msg Message that is output if the test does not pass.
